/* FileSaver.java
 */

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.io.FileNotFoundException;


/* FileSaver
 */
public class FileSaver {

	/**
	 * tB[h
	 */
	private String fileName;

	/** RXgN^ FileSaver
	 * @param String fileName
	 */
	FileSaver( String fileName ) {
		this.fileName = fileName;
	}

	/** write
	 * @param RecordList rl
	 * @throws FileNotFoundException, IOException
	 */
	public void write( RecordList rl )
	 throws FileNotFoundException, IOException {
		// t@CfileNamẽt@C
		// ݂s
		BufferedWriter output = null;
		try {
			try {

				output = new BufferedWriter( new FileWriter( fileName ) );

				// RecordListɊi[ꂽR[hPs
				int idx = 0;
				Record r;
				while( idx < rl.size() ) {
					r = rl.getRecord( idx );
					output.write( r.writeForCSV() );
					output.newLine();     // st@Cɏo
					idx++;
				}
			} finally {
				if (output != null)
					output.close();
			}
		} catch( FileNotFoundException e ) {
			System.out.println( fileName + "JƂł܂B" );
			throw e;
		} catch( IOException e ) {
			System.out.println( "t@CݒɃG[܂B" );
			throw e;
		}
	}
}
