/* DeletePersonStatus.java
 */

/* DeletePersonStatus
 */
public class DeletePersonStatus extends ConsoleStatus {

	// tB[h
	private PersonList pl;
	private int id = -1;
	private String data;

	/**
	 * RXgN^ DeletePersonStatus
	 * @param String firstMess
	 * @param String promptMess
	 * @param boolean IsEndStatus
	 * @param PersonList pl
	 */
	DeletePersonStatus( String firstMess, String promptMess,
	                 boolean IsEndStatus, PersonList pl ) {
		super( firstMess, promptMess, IsEndStatus );
		this.pl = pl;
		this.id = -1;
		this.data = "";
	}

	// ŏɏo͂郁bZ[W\
	// ̃NXł͏]ƈ̃f[^̍폜
	// ݂̂s
	/** displayFirstMess
	 * @throws Exception
	 */
	public void displayFirstMess() throws Exception {
		// ID̓
		System.out.print( "]ƈID͂ĂB\n>" );
		data = inputMessage();
		try {
			id = Integer.parseInt( data ); // ]ƈID
		} catch( NumberFormatException e ) {
			System.out.println( "lɕϊłȂf[^͂Ă܂B" );
			System.out.println( "ē͂ĂB" );
			displayFirstMess();
			return;
		}

		Person p = pl.get( id );
		if( p == null ) {
			System.out.println( "wID̏]ƈ݂͑܂B" );
			System.out.println( "ē͂ĂB" );
			displayFirstMess();
			return;
		}

		// ]ƈ̏̕\
		System.out.println( p.toString() + "\n" );
	}

	// Y͂ꂽꍇw肳ꂽR[h폜C
	// N(܂͂ȊO)̏ꍇ
	// ԂɑJڂ悤ɂĂ
	/** getNextStatus
	 * @param String s
	 * @return ConsoleStatus
	 */
	public ConsoleStatus getNextStatus( String s ) {
		if( s.equals( "Y" ) ) {
			System.out.println( "폜܂B" );
			pl.delete( id );
		}

		return super.getNextStatus( " " );
	}

}
