/* TypeSelectionStatus.java
 */

import java.io.IOException;

/* TypeSelectionStatus
 */
public class TypeSelectionStatus extends ConsoleStatus {

	// tB[h
	private DisplayPersonsByTypeStatus next;

	/**
	 * RXgN^ TypeSelectionStatus
	 * @param String firstMess
	 * @param String promptMess
	 * @param boolean IsEndStatus
	 * @param DisplayPersonsByTypeStatus next
	 */
	TypeSelectionStatus( String firstMess, String promptMess,
	                     boolean IsEndStatus, 
	                     DisplayPersonsByTypeStatus next ) {
		super( firstMess, promptMess, IsEndStatus );
		this.next = next;
	}

	// ̏ԂɑJڂ邱Ƃ𑣂߂̃bZ[W̕\
	/** inputMessage
	 * @throws IOException
	 * @return String
	 */
	public String inputMessage() throws IOException {
		String mess = super.inputMessage();
		next.setWork( mess );

		return mess;
	}

	// ̃NX́CDisplayPersonsByTypeStatusĂԂ
	// ܂Ă邽߁C͂Ă
	// DisplayPersonsByTypeStatusɑJڂ悤ɂĂ
	/** getNextStatus
	 * @param String s
	 * @return ConsoleStatus
	 */
	public ConsoleStatus getNextStatus( String s ) {
		return next;
	}
}
